<?php

namespace JLTAdminify\Modules\ActivityLogs;

use JLTAdminify\Modules\ActivityLogs\Libs\Assets;

class Loader {

    public function __construct() {

        /**
         * Autoload Necessary Files
         */
        include_once ACTIVITYLOGS_DIR . '/vendor/autoload.php';


        new Assets();

        /**
         * Hook: Load This Plugin
         */
        // add_action( 'jltwp_adminify_plugin_loaded ', [ $this, 'adminify_activitylogs_plugin_loaded' ] );
        $this->adminify_activitylogs_plugin_loaded();
    }

    public function adminify_activitylogs_plugin_loaded() {

        if ( ! class_exists( '\\JLTAdminify\Modules\ActivityLogs\\ActivityLogs' ) ) {
            include_once ACTIVITYLOGS_DIR . '/class-adminify-activity-logs.php';
        }
    }

}

new Loader();
